#pragma once


#include <string>
#include <nlohmann/json.hpp>
#include "ProcessManager.h"

using json = nlohmann::json;

class ProcessEngineCommand {

public:
  ProcessEngineCommand(const ProcessManager* manager, std::string command);
  
  void fillInParameter(std::string value);

  std::string getTextResult();
  std::string getStdErr();
  json getJsonResult();
  int getExitCode();

private:
  const ProcessManager* manager;

  void execute();
  void parseJson();

  bool executed;
  bool jsonParsed;
  std::string command;
  std::vector<std::string> parameterValues;

  int exitCode{};
  std::string stdoutResult;
  std::string stderrResult;
  json jsonResult;
};


