#pragma once

#include <string>

// constants for configuration
// might be read from a configuration file in future
namespace config {
  const bool        LOGGING_ENABLED = false;
  const std::string LOGFILE = "process_manager.log";
  const std::string DATETIME_FORMAT = "%d.%m.%Y %H:%M:%S";

  // parameterizing process engine engine commands
  const std::string PAR_REPLACE_TOKEN = "%s";

  // JSON keys
  const std::string JSON_NEXTID_KEY = "next_id";
  const std::string JSON_WORKFLOWS_KEY = "workflows";
  const std::string JSON_ENGINES_KEY = "engines";
  const std::string JSON_DEFAULT_ENGINE_KEY = "default_engine";

  // default values
  const std::string DEFAULT_ENGINE_FILENAME = "engines.json";
  const std::string DEFAULT_WORKFLOW_FILENAME = "workflows.json";
  const std::string DEFAULT_ENGINE_CONFIGURATION_PATH = "/etc/process_manager/engines.json";
}
