#include "ProcessEngine.h"

json ProcessEngine::getJson() const {
  json engineObj;
  engineObj["name"] = name;
  engineObj["startCommand"] = startCommand;
  engineObj["statusCommand"] = statusCommand;
  engineObj["logCommand"] = logCommand;
  engineObj["shortcutsCommand"] = shortcutsCommand;
  engineObj["interactionsCommand"] = interactionsCommand;
  engineObj["continueCommand"] = continueCommand;
  engineObj["inputInteractionValueCommand"] = inputInteractionValueCommand;

  return engineObj;
}

void ProcessEngine::fromJson(json object) {
  name = object["name"].get<std::string>();
  if (object.contains("startCommand")) {
    startCommand = object["startCommand"].get<std::string>();
  }
  if (object.contains("statusCommand")) {
    statusCommand = object["statusCommand"].get<std::string>();
  }
  if (object.contains("logCommand")) {
    logCommand = object["logCommand"].get<std::string>();
  }
  if (object.contains("shortcutsCommand")) {
    shortcutsCommand = object["shortcutsCommand"].get<std::string>();
  }
  if (object.contains("interactionsCommand")) {
    interactionsCommand = object["interactionsCommand"].get<std::string>();
  }
  if (object.contains("continueCommand")) {
    continueCommand = object["continueCommand"].get<std::string>();
  }
  if (object.contains("inputInteractionValueCommand")) {
    inputInteractionValueCommand = object["inputInteractionValueCommand"];
  }
}

const std::string &ProcessEngine::getName() const {
  return name;
}

const std::string &ProcessEngine::getStartCommand() const {
  return startCommand;
}

const std::string &ProcessEngine::getStatusCommand() const {
  return statusCommand;
}

const std::string &ProcessEngine::getLogCommand() const {
  return logCommand;
}

const std::string &ProcessEngine::getShortcutsCommand() const {
  return shortcutsCommand;
}

const std::string &ProcessEngine::getInteractionsCommand() const {
  return interactionsCommand;
}

const std::string &ProcessEngine::getContinueCommand() const {
  return continueCommand;
}

const std::string &ProcessEngine::getInputInteractionValueCommand() const {
  return inputInteractionValueCommand;
}
