#pragma once


#include <string>
#include <memory>
#include "Serializable.h"


class ProcessEngine : public Serializable {
public:
  ProcessEngine() = default;

  const std::string &getName() const;
  const std::string &getStartCommand() const;
  const std::string &getStatusCommand() const;
  const std::string &getLogCommand() const;
  const std::string &getShortcutsCommand() const;
  const std::string &getInteractionsCommand() const;
  const std::string &getContinueCommand() const;
  const std::string &getInputInteractionValueCommand() const;


  json getJson() const override;
  void fromJson(json object) override;

private:
  std::string name;
  std::string startCommand;
  std::string statusCommand;
  std::string logCommand;
  std::string shortcutsCommand;
  std::string interactionsCommand;
  std::string continueCommand;
  std::string inputInteractionValueCommand;
};
